Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224277 - [RFE] User Group Support
Summary: [RFE] User Group Support
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Other
Version: rhn500
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike Orazi
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-25 00:05 UTC by daryl herzmann
Modified: 2018-10-19 20:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-06 14:36:46 UTC


Attachments (Terms of Use)

Description daryl herzmann 2007-01-25 00:05:52 UTC
It would be really nice if RHN had the concept of User Groups, much like how our
linux boxen treat users/groups and ownwership of files.

You should be able to create ad-hoc groups of users and be able to assign the
group as an admin of system groups.

The case usage is this.  Say we have a department with 12 sys admins and they
have 20 system groups.  Currently, we have to add those 12 people to each system
group.  Instead we would like to be able to create 1 group and then add that to
each system groups admin list.

Then when sys admin leaves or transfers departments, we update the group list
and everything is all set.

I believe this would have positive impacts for rhn-satellite and being then able
to use these groups to control access to kickstarts and other data.

So the equivalent of groupadd, chgrp, and chmod g+rwx  :)

thanks!

Comment 2 daryl herzmann 2008-02-12 15:29:33 UTC
What is going on with this ticket?  

Comment 3 Jeremy West 2008-04-18 20:34:12 UTC
Daryl,

I'd just like to let you know that we aren't ignoring your great ideas and
feature requests to make RHN better.  This request is currently being evaluated. 

Thanks!
Jeremy West

Comment 5 Grant Gainey 2008-05-06 14:36:46 UTC
This is a fine idea, but not something we're going to be implementing in the
Hosted codebase.  Customers (like Iowa State!) who are large enough to be able
to really make use of this kind of management would be better served by the new
features in Satellite (like Multi-Org, which I believe may answer this use-case
exactly)


Note You need to log in before you can comment on or make changes to this bug.